Sign inGet started

Business Hours

GET
/workspaces/{workspaceId}/business-hours
Retrieve a list of defined business hours, showcasing their names, and other information.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.name
string
obbligatorio
results.description
string
results.timezone
string
obbligatorio
results.weeklySchedule
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.monday
object
Mostra attributi secondari
results.weeklySchedule.monday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.monday.from.hour
integer
obbligatorio
results.weeklySchedule.monday.from.minute
integer
results.weeklySchedule.monday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.monday.to.hour
integer
obbligatorio
results.weeklySchedule.monday.to.minute
integer
results.weeklySchedule.tuesday
object
Mostra attributi secondari
results.weeklySchedule.tuesday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.tuesday.from.hour
integer
obbligatorio
results.weeklySchedule.tuesday.from.minute
integer
results.weeklySchedule.tuesday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.tuesday.to.hour
integer
obbligatorio
results.weeklySchedule.tuesday.to.minute
integer
results.weeklySchedule.wednesday
object
Mostra attributi secondari
results.weeklySchedule.wednesday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.wednesday.from.hour
integer
obbligatorio
results.weeklySchedule.wednesday.from.minute
integer
results.weeklySchedule.wednesday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.wednesday.to.hour
integer
obbligatorio
results.weeklySchedule.wednesday.to.minute
integer
results.weeklySchedule.thursday
object
Mostra attributi secondari
results.weeklySchedule.thursday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.thursday.from.hour
integer
obbligatorio
results.weeklySchedule.thursday.from.minute
integer
results.weeklySchedule.thursday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.thursday.to.hour
integer
obbligatorio
results.weeklySchedule.thursday.to.minute
integer
results.weeklySchedule.friday
object
Mostra attributi secondari
results.weeklySchedule.friday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.friday.from.hour
integer
obbligatorio
results.weeklySchedule.friday.from.minute
integer
results.weeklySchedule.friday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.friday.to.hour
integer
obbligatorio
results.weeklySchedule.friday.to.minute
integer
results.weeklySchedule.saturday
object
Mostra attributi secondari
results.weeklySchedule.saturday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.saturday.from.hour
integer
obbligatorio
results.weeklySchedule.saturday.from.minute
integer
results.weeklySchedule.saturday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.saturday.to.hour
integer
obbligatorio
results.weeklySchedule.saturday.to.minute
integer
results.weeklySchedule.sunday
object
Mostra attributi secondari
results.weeklySchedule.sunday.from
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.sunday.from.hour
integer
obbligatorio
results.weeklySchedule.sunday.from.minute
integer
results.weeklySchedule.sunday.to
object
obbligatorio
Mostra attributi secondari
results.weeklySchedule.sunday.to.hour
integer
obbligatorio
results.weeklySchedule.sunday.to.minute
integer
results.holidays
array of object
obbligatorio
Mostra attributi secondari
results.holidays.name
string
obbligatorio
results.holidays.day
integer
obbligatorio
results.holidays.month
integer
obbligatorio
results.assignedTeamIds
array of string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
results.currentStatus
string
Possible values: open, closed
results.nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
results.nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/business-hours
Define and create new business hours, specifying the name, schedule.
Payload della richiesta
name
string
obbligatorio
description
string
timezone
string
obbligatorio
weeklySchedule
object
obbligatorio
Mostra parametri secondari
weeklySchedule.monday
object
Mostra parametri secondari
weeklySchedule.monday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.monday.from.hour
integer
obbligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.monday.to.hour
integer
obbligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostra parametri secondari
weeklySchedule.tuesday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.tuesday.from.hour
integer
obbligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.tuesday.to.hour
integer
obbligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostra parametri secondari
weeklySchedule.wednesday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.wednesday.from.hour
integer
obbligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.wednesday.to.hour
integer
obbligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostra parametri secondari
weeklySchedule.thursday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.thursday.from.hour
integer
obbligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.thursday.to.hour
integer
obbligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostra parametri secondari
weeklySchedule.friday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.friday.from.hour
integer
obbligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.friday.to.hour
integer
obbligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostra parametri secondari
weeklySchedule.saturday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.saturday.from.hour
integer
obbligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.saturday.to.hour
integer
obbligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostra parametri secondari
weeklySchedule.sunday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.sunday.from.hour
integer
obbligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.sunday.to.hour
integer
obbligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obbligatorio
Mostra parametri secondari
holidays.name
string
obbligatorio
holidays.day
integer
obbligatorio
holidays.month
integer
obbligatorio
assignedTeamIds
array of string
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/business-hours' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/business-hours/{businessHourId}
Retrieve information about specific business hours, including their name, schedule.
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
description
string
timezone
string
obbligatorio
weeklySchedule
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday
object
Mostra attributi secondari
weeklySchedule.monday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday.from.hour
integer
obbligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday.to.hour
integer
obbligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostra attributi secondari
weeklySchedule.tuesday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.tuesday.from.hour
integer
obbligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.tuesday.to.hour
integer
obbligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostra attributi secondari
weeklySchedule.wednesday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.wednesday.from.hour
integer
obbligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.wednesday.to.hour
integer
obbligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostra attributi secondari
weeklySchedule.thursday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.thursday.from.hour
integer
obbligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.thursday.to.hour
integer
obbligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostra attributi secondari
weeklySchedule.friday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.friday.from.hour
integer
obbligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.friday.to.hour
integer
obbligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostra attributi secondari
weeklySchedule.saturday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.saturday.from.hour
integer
obbligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.saturday.to.hour
integer
obbligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostra attributi secondari
weeklySchedule.sunday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.sunday.from.hour
integer
obbligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.sunday.to.hour
integer
obbligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obbligatorio
Mostra attributi secondari
holidays.name
string
obbligatorio
holidays.day
integer
obbligatorio
holidays.month
integer
obbligatorio
assignedTeamIds
array of string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
currentStatus
string
Possible values: open, closed
nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/business-hours/{businessHourId}
Modify the details of specific business hours, such as their name, schedule.
Payload della richiesta
name
string
description
string
timezone
string
weeklySchedule
object
Mostra parametri secondari
weeklySchedule.monday
object
Mostra parametri secondari
weeklySchedule.monday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.monday.from.hour
integer
obbligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.monday.to.hour
integer
obbligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostra parametri secondari
weeklySchedule.tuesday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.tuesday.from.hour
integer
obbligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.tuesday.to.hour
integer
obbligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostra parametri secondari
weeklySchedule.wednesday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.wednesday.from.hour
integer
obbligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.wednesday.to.hour
integer
obbligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostra parametri secondari
weeklySchedule.thursday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.thursday.from.hour
integer
obbligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.thursday.to.hour
integer
obbligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostra parametri secondari
weeklySchedule.friday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.friday.from.hour
integer
obbligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.friday.to.hour
integer
obbligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostra parametri secondari
weeklySchedule.saturday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.saturday.from.hour
integer
obbligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.saturday.to.hour
integer
obbligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostra parametri secondari
weeklySchedule.sunday.from
object
obbligatorio
Mostra parametri secondari
weeklySchedule.sunday.from.hour
integer
obbligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obbligatorio
Mostra parametri secondari
weeklySchedule.sunday.to.hour
integer
obbligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
Mostra parametri secondari
holidays.name
string
obbligatorio
holidays.day
integer
obbligatorio
holidays.month
integer
obbligatorio
assignedTeamIds
array of string
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
description
string
timezone
string
obbligatorio
weeklySchedule
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday
object
Mostra attributi secondari
weeklySchedule.monday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday.from.hour
integer
obbligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.monday.to.hour
integer
obbligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostra attributi secondari
weeklySchedule.tuesday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.tuesday.from.hour
integer
obbligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.tuesday.to.hour
integer
obbligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostra attributi secondari
weeklySchedule.wednesday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.wednesday.from.hour
integer
obbligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.wednesday.to.hour
integer
obbligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostra attributi secondari
weeklySchedule.thursday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.thursday.from.hour
integer
obbligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.thursday.to.hour
integer
obbligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostra attributi secondari
weeklySchedule.friday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.friday.from.hour
integer
obbligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.friday.to.hour
integer
obbligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostra attributi secondari
weeklySchedule.saturday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.saturday.from.hour
integer
obbligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.saturday.to.hour
integer
obbligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostra attributi secondari
weeklySchedule.sunday.from
object
obbligatorio
Mostra attributi secondari
weeklySchedule.sunday.from.hour
integer
obbligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obbligatorio
Mostra attributi secondari
weeklySchedule.sunday.to.hour
integer
obbligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obbligatorio
Mostra attributi secondari
holidays.name
string
obbligatorio
holidays.day
integer
obbligatorio
holidays.month
integer
obbligatorio
assignedTeamIds
array of string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
currentStatus
string
Possible values: open, closed
nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/business-hours/{businessHourId}
Remove specific business hours, permanently deleting their defined schedule.
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/business-hours/{businessHourId}/check
Determine if the current time falls within the defined business hours, providing information on availability.
Payload della risposta
isOpen
boolean
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}/check' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'